import {Action} from "./Action";
import {CharacterDependency} from "../CharacterDependency";

export abstract  class InventoryAction extends Action {
  valueChange: number;

  protected constructor(characterDependency: CharacterDependency, valueChange: number) {
    super(characterDependency);
    this.valueChange = valueChange;
  }

  public abstract validate(): boolean;
}
